Mailinglist Archive: opensuse-security-announce (50 mails)

< Previous Next >
[security-announce] openSUSE-SU-2014:1115-1: important: glibc
openSUSE Security Update: glibc
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:1115-1
Rating: important
References: #887022 #892073 #894553
Cross-References: CVE-2014-0475 CVE-2014-5119 CVE-2014-6040

Affected Products:
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:


glibc was updated to fix three security issues:

- A directory traversal in locale environment handling was fixed
(CVE-2014-0475, bnc#887022, GLIBC BZ #17137)

- Disable gconv transliteration module loading which could be used for
code execution (CVE-2014-5119, bnc#892073, GLIBC BZ #17187)

- Fix crashes on invalid input in IBM gconv modules (CVE-2014-6040,
bnc#894553, BZ #17325)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-536

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-536

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 i686 x86_64):

glibc-2.18-4.21.1
glibc-debuginfo-2.18-4.21.1
glibc-debugsource-2.18-4.21.1
glibc-devel-2.18-4.21.1
glibc-devel-debuginfo-2.18-4.21.1
glibc-devel-static-2.18-4.21.1
glibc-extra-2.18-4.21.1
glibc-extra-debuginfo-2.18-4.21.1
glibc-locale-2.18-4.21.1
glibc-locale-debuginfo-2.18-4.21.1
glibc-profile-2.18-4.21.1
nscd-2.18-4.21.1
nscd-debuginfo-2.18-4.21.1

- openSUSE 13.1 (i586 x86_64):

glibc-utils-2.18-4.21.1
glibc-utils-debuginfo-2.18-4.21.1
glibc-utils-debugsource-2.18-4.21.1

- openSUSE 13.1 (i586 i686):

glibc-obsolete-2.18-4.21.1
glibc-obsolete-debuginfo-2.18-4.21.1

- openSUSE 13.1 (x86_64):

glibc-32bit-2.18-4.21.1
glibc-debuginfo-32bit-2.18-4.21.1
glibc-devel-32bit-2.18-4.21.1
glibc-devel-debuginfo-32bit-2.18-4.21.1
glibc-devel-static-32bit-2.18-4.21.1
glibc-locale-32bit-2.18-4.21.1
glibc-locale-debuginfo-32bit-2.18-4.21.1
glibc-profile-32bit-2.18-4.21.1
glibc-utils-32bit-2.18-4.21.1
glibc-utils-debuginfo-32bit-2.18-4.21.1

- openSUSE 13.1 (noarch):

glibc-html-2.18-4.21.1
glibc-i18ndata-2.18-4.21.1
glibc-info-2.18-4.21.1

- openSUSE 12.3 (i586 i686 x86_64):

glibc-2.17-4.13.1
glibc-debuginfo-2.17-4.13.1
glibc-debugsource-2.17-4.13.1
glibc-devel-2.17-4.13.1
glibc-devel-debuginfo-2.17-4.13.1
glibc-devel-static-2.17-4.13.1
glibc-extra-2.17-4.13.1
glibc-extra-debuginfo-2.17-4.13.1
glibc-locale-2.17-4.13.1
glibc-locale-debuginfo-2.17-4.13.1
glibc-profile-2.17-4.13.1
nscd-2.17-4.13.1
nscd-debuginfo-2.17-4.13.1

- openSUSE 12.3 (i586 x86_64):

glibc-utils-2.17-4.13.1
glibc-utils-debuginfo-2.17-4.13.1
glibc-utils-debugsource-2.17-4.13.1

- openSUSE 12.3 (i586 i686):

glibc-obsolete-2.17-4.13.1
glibc-obsolete-debuginfo-2.17-4.13.1

- openSUSE 12.3 (x86_64):

glibc-32bit-2.17-4.13.1
glibc-debuginfo-32bit-2.17-4.13.1
glibc-devel-32bit-2.17-4.13.1
glibc-devel-debuginfo-32bit-2.17-4.13.1
glibc-devel-static-32bit-2.17-4.13.1
glibc-locale-32bit-2.17-4.13.1
glibc-locale-debuginfo-32bit-2.17-4.13.1
glibc-profile-32bit-2.17-4.13.1
glibc-utils-32bit-2.17-4.13.1
glibc-utils-debuginfo-32bit-2.17-4.13.1

- openSUSE 12.3 (noarch):

glibc-html-2.17-4.13.1
glibc-i18ndata-2.17-4.13.1
glibc-info-2.17-4.13.1


References:

http://support.novell.com/security/cve/CVE-2014-0475.html
http://support.novell.com/security/cve/CVE-2014-5119.html
http://support.novell.com/security/cve/CVE-2014-6040.html
https://bugzilla.novell.com/887022
https://bugzilla.novell.com/892073
https://bugzilla.novell.com/894553

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages